const config = require("@bem/sdk.config")();
const mockfs = require('mock-fs');
const { stripIndent } = require('common-tags');

mockfs({
    '.bemrc': stripIndent`
    module.exports = {
        'root': true,
        'levels': {
            'common.blocks': {
                '.bemrc': ${stripIndent`
                    module.exports = {
                        'scheme': 'nested'
                    }`
                }
            },
            'desktop.blocks': {
                '.bemrc': ${stripIndent`
                    module.exports = {
                        'scheme': 'mixed'
                    }`
                }
            }
        }
    }`
});

const levelMap = config.levelMapSync();
levelMap;;
